summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCorey Richardson <corey@octayn.net>2016-02-16 04:21:27 +1100
committerCorey Richardson <corey@octayn.net>2016-02-16 04:21:27 +1100
commit8574d1042c774ce6b093b4c9120ca560d3f92e26 (patch)
tree7520f8d94a0f5c8794dde25cda1079905190dfae
parent5abe06e42af0bc5cee54a6a416827798b37caa00 (diff)
Update README with Sass, add pip install to run.sh
-rw-r--r--README.md8
-rwxr-xr-xrun.sh3
2 files changed, 8 insertions, 3 deletions
diff --git a/README.md b/README.md
index 4760415..65ef619 100644
--- a/README.md
+++ b/README.md
@@ -30,9 +30,13 @@ Use the included `new_contribs.sh` script:
## Building
+Ensure you have SASS installed. The easiest way to get it is via `gem`, the
+Ruby package manager.
+
```
-pelican content -s pelicanconf.py
+env SASS_BIN=$HOME/.gem/ruby/*/bin/sass pelican content -s pelicanconf.py
```
+
### To build the newsletter
* Generate the HTML
@@ -40,4 +44,4 @@ pelican content -s pelicanconf.py
TWIR_NEWSLETTER_THEME=1 pelican --delete-output-directory content
```
* Copy the HTML and inline CSS at http://zurb.com/ink/inliner.php - (MailChimp's inliner doesn't remove the CSS from `<head>`).
-* Send the newsletter (we currently use MailChimp). \ No newline at end of file
+* Send the newsletter (we currently use MailChimp).
diff --git a/run.sh b/run.sh
index 28a19b0..0acb786 100755
--- a/run.sh
+++ b/run.sh
@@ -1,6 +1,7 @@
#!/bin/sh
. ./bin/activate
-./bin/pelican content -s pelicanconf.py -t themes/pelican-elegant-1.3 || exit
+pip2 install -r requirements.txt
+./bin/pelican content -s pelicanconf.py || exit
if [ "$REALLY_DEPLOY" = "1" ]; then
rsync -e "ssh -i $HOME/.ssh/twir_deploy_key" -razvP --delete-after output/ twir@octayn.net:production
fi